/*
 * LineRefParserException.java       Jan 13, 2007
 *
 * Copyright (c) 2007, Brian Mulanda, all rights reserved.
 */

package edu.ksu.cis.ndpc;

/**
 * The exception thrown by a line reference parser.
 * 
 * @author Brian Mulanda (<a
 *         href="mailto:bmulanda@ksu.edu">bmulanda@ksu.edu</a>)
 * 
 * @see LineRefParser
 */

public class LineRefParserException extends Exception {
	public LineRefParserException(String message) {
		super(message);
	}
}
