package edu.ksu.cis.ndpc;

import javax.swing.ImageIcon;

final public class Utils {
	/*
	 * public static final ImageIcon IMAGE_NEWPRED =
	 * createImageIcon("Add24.gif"); public static final ImageIcon IMAGE_NEWPROP
	 * = createImageIcon("New24.gif"); public static final ImageIcon IMAGE_OPEN
	 * = createImageIcon("Open24.gif"); public static final ImageIcon IMAGE_SAVE
	 * = createImageIcon("Save24.gif"); public static final ImageIcon
	 * IMAGE_SAVEAS = createImageIcon("SaveAs24.gif"); public static final
	 * ImageIcon IMAGE_DRAWBOX = createImageIcon("DrawBox24.gif"); public static
	 * final ImageIcon IMAGE_CLEAR = createImageIcon("Clear24.gif"); public
	 * static final ImageIcon IMAGE_CHECK = createImageIcon("Check24.gif");
	 * public static final ImageIcon IMAGE_EXPORT =
	 * createImageIcon("Export24.gif"); public static final ImageIcon
	 * IMAGE_ABOUT = createImageIcon("About.gif");
	 */

	public static final String NEW_LINE = System.getProperty("line.separator");

	public static String replaceAll(String str, String find, String replace) {
		if (str != null && find != null && replace != null
				&& !find.equals(replace)) {
			int lenFind = find.length();
			if (lenFind > 0) {
				int lenRepl = replace.length();
				StringBuffer sb = new StringBuffer(str);
				for (int pos = 0; (pos = sb.indexOf(find, pos)) >= 0; pos += lenRepl) {
					sb.replace(pos, pos + lenFind, replace);
				}
				str = sb.toString();
			}
		}
		return str;
	}

	public static ImageIcon createImageIcon(String filename) {
		return createImageIcon(filename, null);
	}

	public static ImageIcon createImageIcon(String filename, String altText) {
		String path = "images/" + filename;
		java.net.URL imgURL = Utils.class.getResource(path);
		if (imgURL != null) {
			if (altText != null) {
				return new ImageIcon(imgURL);
			} else {
				return new ImageIcon(imgURL, altText);
			}
		} else {
			System.err.println("Couldn't find file: " + imgURL);
			return null;
		}
	}
}
