package edu.ksu.cis.ndpc.gui;

import java.util.ArrayList;

class Col {
	private ArrayList rowList;

	public Col() {
		rowList = new ArrayList();
	}

	public int rowCount() {
		return rowList.size();
	}

	public Row getRow(int row) {
		Row r = null;
		if (row >= 0 && row < rowList.size()) {
			r = (Row) rowList.get(row);
		}
		return r;
	}

	public Row appendRow() {
		Row row = new Row();
		rowList.add(row);
		return row;
	}

	public void insertRow(int position) {
		if (position < 0 || position > rowList.size()) {
			position = rowList.size();
		}
		rowList.add(position, new Row());
	}

	public void appendRows(int numRows) {
		for (int i = 1; i <= numRows; ++i) {
			rowList.add(new Row());
		}
	}

	public void insertRows(int position, int numRows) {
		if (numRows > 0) {
			if (position < 0 || position > rowList.size()) {
				position = rowList.size();
			}
			for (int i = 1; i <= numRows; ++i) {
				rowList.add(position++, new Row());
			}
		}
	}

	public void removeRow(int row) {
		if (row >= 0 && row < rowList.size()) {
			rowList.remove(row);
		}
	}

	public void removeAllRows() {
		rowList.clear();
	}
}